{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTUsr2MobMPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTUsr2MobMPickupView.json",
  "name" : "TESTUsr2MobMPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MobMPickupView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "pickupviewpanel",
      "name" : "PICKUPVIEWPANEL",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr2MobMPickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "caption" : "测试实体",
      "codeName" : "TESTMobPickupTreeView",
      "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTMobPickupTreeView.json",
      "mDCtrlActiveMode" : 2,
      "name" : "TESTMobPickupTreeView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSAppModule" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "MobPickupTreeView",
        "name" : "engine",
        "getPSUIEngineParams" : [ {
          "ctrlName" : "tree",
          "name" : "TREE",
          "paramType" : "CTRL"
        } ]
      } ],
      "getPSControls" : [ {
        "codeName" : "TestTreeView_TreeView",
        "controlType" : "TREEVIEW",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSTREEVIEWS/TestTreeView_TreeView.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "hookEventNames" : [ "LOAD", "CLICK", "SELECTCHANGE" ],
        "logicName" : "测试树视图_树视图",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "树视图处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "LOAD;CLICK;SELECTCHANGE",
          "logicTag" : "tree",
          "logicType" : "APPVIEWENGINE",
          "name" : "engine_tree",
          "getPSAppViewEngine" : {
            "modelref" : true,
            "id" : "engine"
          }
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "TREE"
        },
        "getPSDETreeNodeRSs" : [ {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "node3"
          },
          "name" : "静态1 - 动态集合",
          "getPSNavigateParams" : [ {
            "key" : "n_type_eq",
            "name" : "n_type_eq",
            "value" : "A",
            "rawValue" : true
          } ],
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "node1"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "node1"
          },
          "name" : "默认根节点 - 静态1",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "ROOT"
          },
          "parentValueLevel" : 1,
          "searchMode" : 2
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "node3"
          },
          "name" : "静态2 - 动态集合",
          "getPSNavigateParams" : [ {
            "key" : "n_type_eq",
            "name" : "n_type_eq",
            "value" : "B",
            "rawValue" : true
          } ],
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "noDe2"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "noDe2"
          },
          "name" : "默认根节点 - 静态2",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "ROOT"
          },
          "parentValueLevel" : 1,
          "searchMode" : 2
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "codeList"
          },
          "name" : "默认根节点 - 动态代码表",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "ROOT"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        } ],
        "getPSDETreeNodes" : [ {
          "counterMode" : 0,
          "name" : "默认根节点",
          "nodeType" : "ROOT",
          "nodeValue" : "root",
          "text" : "默认根节点",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : true,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "ROOT"
        }, {
          "counterMode" : 0,
          "name" : "动态代码表",
          "nodeType" : "codeList",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/TestAll.json"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          },
          "treeNodeType" : "CODELIST",
          "hasPSDETreeNodeRSs" : false,
          "appendCaption" : false,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "codeList"
        }, {
          "counterMode" : 0,
          "name" : "静态2",
          "nodeType" : "noDe2",
          "text" : "静态2",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "noDe2"
        }, {
          "counterMode" : 0,
          "name" : "静态1",
          "nodeType" : "node1",
          "text" : "静态1",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "node1"
        }, {
          "counterMode" : 0,
          "getIdPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          },
          "maxSize" : -1,
          "name" : "动态集合",
          "nodeType" : "node3",
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          },
          "getTextPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "treeNodeType" : "DE",
          "hasPSDETreeNodeRSs" : false,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "node3"
        } ],
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "treeGridMode" : 0,
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "enableRootSelect" : false,
        "outputIconDefault" : true,
        "rootVisible" : false,
        "name" : "tree",
        "modelid" : "CC94B4C9-81F3-4BA8-BCD7-B0A2AE2ABD31",
        "modeltype" : "PSDETREEVIEW"
      }, {
        "controlType" : "SEARCHBAR",
        "name" : "searchbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "searchbar"
        },
        "quickGroupCount" : -1,
        "quickSearchMode" : 0,
        "quickSearchWidth" : 0,
        "enableFilter" : false,
        "enableGroup" : false,
        "enableQuickSearch" : false,
        "mobileSearchBar" : true
      }, {
        "caption" : "测试实体",
        "codeName" : "MobPickupTreeViewcaptionbar",
        "controlType" : "CAPTIONBAR",
        "name" : "captionbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : { }
      } ],
      "getPSDEViewCodeName" : "MobPickupTreeView",
      "getPSDEViewId" : "A8C323E1-801C-4222-A2CE-18EECD5AE98D",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEMOBPICKUPTREEVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "title" : "测试实体移动端选择树视图",
      "viewStyle" : "DEFAULT",
      "viewType" : "DEMOBPICKUPTREEVIEW",
      "xDataControlName" : "tree",
      "enableDP" : true,
      "enableFilter" : true,
      "enablePullDownRefresh" : false,
      "enableSearch" : true,
      "expandSearchForm" : true,
      "modelid" : "5bb966a86798a0aeb3fbde3b42d0c1d3",
      "modeltype" : "PSAPPDEVIEW"
    },
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD",
      "logicTag" : "pickupviewpanel",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_pickupviewpanel",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  }, {
    "caption" : "测试实体",
    "codeName" : "Usr2MobMPickupViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr2MobMPickupView",
  "getPSDEViewId" : "25521237-FBAE-4802-9056-955FAB02CD92",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBMPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体移动端多数据选择视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBMPICKUPVIEW",
  "enableDP" : true,
  "enablePullDownRefresh" : false,
  "showCaptionBar" : false,
  "modelid" : "6e16bc0d8de66d6238b48f624caa7911",
  "modeltype" : "PSAPPDEVIEW"
}